$D = [System.DirectoryServices.ActiveDirectory.Domain]::GetCurrentDomain()
$Domain = [ADSI]"LDAP://$D"
$DN = $Domain.distinguishedName
$Admins = [ADSI]"LDAP://cn=Domain Admins,cn=Users,$DN"
"Members of " + $Admins.sAMAccountName

ForEach ($MemberDN In $Admins.Member)
{
    $Member = [ADSI]"LDAP://$MemberDN"


"Pre-Win 2000 : {0}`nName : {1}" -f "$($Member.sAMAccountName)", "$($Member.displayName)" 
}

