$info = get-wmiobject -query "Select * from win32_computersystem" 

$system = Get-WMIObject -class Win32_systemenclosure
$type = $system.chassistypes
 
$a = Switch ($Type)
    {
        "1" {"Chassis : $Type - Other"}
        "2" {"Chassis : $type - Virtual Machine"}
        "3" {"Chassis : $type - Desktop"}
        "4" {"Chassis : $type - Low Profile Desktop"}
        "5" {"Chassis : $type - Pizza Box"}
        "6" {"Chassis : $type - Mini Tower"}
        "7" {"Chassis : $type - Tower"}
        "8" {"Chassis : $type - Portable"}
        "9" {"Chassis : $type - Laptop"}
        "10" {"Chassis : $type - Notebook"}
        "11" {"Chassis : $type - Handheld"}
        "12" {"Chassis : $type - Docking Station"}
        "13" {"Chassis : $type - All-in-One"}
        "14" {"Chassis : $type - Sub-Notebook"}
        "15" {"Chassis : $type - Space Saving"}
        "16" {"Chassis : $type - Lunch Box"}
        "17" {"Chassis : $type - Main System Chassis"}
        "18" {"Chassis : $type - Expansion Chassis"}
        "19" {"Chassis : $type - Sub-Chassis"}
        "20" {"Chassis : $type - Bus Expansion Chassis"}
        "21" {"Chassis : $type - Peripheral Chassis"}
        "22" {"Chassis : $type - Storage Chassis"}
        "23" {"Chassis : $type - Rack Mount Chassis"}
        "24" {"Chassis : $type - Sealed-Case PC"}
        Default {"Chassis : $type - Unknown"}
     }

 $info.Domain
 $info.Manufacturer
 $info.Model
 $a
 $info.Name
 "Owner : " +  $info.PrimaryOwnerName
