
$results = new-Object System.Collections.ArrayList

$snapinsPath = "HKLM:\SOFTWARE\Microsoft\MMC\Snapins" 
Get-ChildItem $snapinsPath | ForEach-Object { 
    
	$snapinId = Split-Path $_.PSPath -Leaf
	
	if( $snapinId.StartsWith("FX:") -ne $TRUE)
	{
		$snapinName = $_.GetValue("NameString")

		$obj = New-Object PSObject
		$obj | Add-Member -MemberType NoteProperty -Name "Name" -Value $snapinName
		$obj | Add-Member -MemberType NoteProperty -Name "Id" -Value $snapinId
		$obj | Add-Member -MemberType NoteProperty -Name "RegistryPath" -Value $_.PSPath
		#$obj | Add-Member -MemberType NoteProperty -Name "ThreadingModel" -Value $threadingModel
		#$obj | Add-Member -MemberType NoteProperty -Name "CLSID" -Value $clsid
		#$obj | Add-Member -MemberType NoteProperty -Name "RegistryPath" -Value $parentPath
		
		[void]$results.Add($obj)
	}
}

$mmc = $results | sort -Property Name


foreach($item in $mmc) 
{ 
"Name : {0}`nID : {1}" -f "$($item.Name)", "$($item.id)" 
}