$OpenFiles = @()  
$ComputerName = (hostname)  
$Server = [adsi]"WinNT://$($ComputerName)/LanmanServer"  
$Resources = $Server.PSBase.Invoke("Resources")  
foreach ($Resource in $Resources)  
{  
$UserResource = New-Object -TypeName PSobject -Property @{  
  User = $Resource.GetType().InvokeMember("User","GetProperty",$null,$Resource,$null)  
  Path = $Resource.GetType().InvokeMember("Path","GetProperty",$null,$Resource,$null)  
  LockCount = $Resource.GetType().InvokeMember("LockCount","GetProperty",$null,$Resource,$null)  
}  
$OpenFiles += $UserResource  
}  
foreach($files in $OpenFiles)  
{  
"LockCount : {0}`nOpen By : {1}`nOpen File : {2}" -f "$($files.LockCount)", "$($files.User)","$($files.Path)"  
}
