# 5.2.3790 Windows 2003 Server
# 5.1.2600 Windows XP Pro
# 5.0.2195 Windows 2000 Server
# 6.1.7601 Windows 2008 Server
# 4.90.3000 Windows ME
# 4.1.1998 Windows 98
# 5.2.3790 Windows XP Professional x64 Edition
# 6.0.6000 Windows Vista
# 6.1.7600 Windows 7

$os = gwmi Win32_OperatingSystem


if(($os.version -ne '5.2.3790' -and $os.version -ne '6.1.7601'))
{

"This OS does not support Open Sessions This script can only be run on a Server"
}

else
{
$ServerSessions = @()
$ComputerName = (hostname)
$Server = [adsi]"WinNT://$($ComputerName)/LanmanServer"
$Sessions = $Server.PSBase.Invoke("Sessions")

foreach ($Session in $Sessions)
{

	$UserSession = New-Object -TypeName PSobject -Property @{
		User = $Session.GetType().InvokeMember("User","GetProperty",$null,$Session,$null)
		Computer = $Session.GetType().InvokeMember("Computer","GetProperty",$null,$Session,$null)
		ConnectTime = $Session.GetType().InvokeMember("ConnectTime","GetProperty",$null,$Session,$null)
		IdelTime = $Session.GetType().InvokeMember("IdleTime","GetProperty",$null,$Session,$null)
	}

	$ServerSessions += $UserSession
}
foreach($session in $ServerSessions)
{
	"User : {0}`nComputer : {1}`nConnectTime : {2}`nIdleTime:{3}" -f "$($session.User)", "$($session.Computer)","$($session.ConnectTime)","$($session.IdleTime)"
}
}