###Example Without Password, user impersonated has the needed rights####
#Replace -computername with the name of the exchange server.

# "." = localhost
$users = Get-WMIObject -namespace root\MicrosoftExchangeV2 -class Exchange_Mailbox -computer "." | sort-object Size -Descending | select -First 10
foreach($user in $users)
{
	#Show results like this
	"Username : {0}`nTotal Items : {1}`nSize : {2} GB" -f "$($user.MailboxDisplayName)", "$($user.TotalItems)", $([math]::round(($user.size / 1024 / 1024), 2))

	#Or you can use this two lines to display results
	#"Username:$($user.MailboxDisplayName)"
	#"Size:$([math]::round(($user.size / 1024 / 1024), 2))GB"
}


