$pf = gwmi Win32_PageFileUsage
$pf2 = gwmi Win32_PageFileSetting

$os = gwmi Win32_OperatingSystem

$cs = gwmi Win32_ComputerSystem
$mem = [math]::Round($cs.totalphysicalmemory/1GB,2)


"RAM : " + [string]$mem + " GB"
"Location : " + $pf.name
"Size : " + [string]$pf.AllocatedBaseSize + " MB"


if(($pf2.initialsize -eq ""))
{
"Page File is managed automatically by Windows"
}

else
{
"Initial : " + $pf2.initialsize + " MB"
"Max : " + $pf2.maximumsize + " MB"


$y = [string]$mem
$z = [int]$y * 1.5
"Recommended Initial Page File`n{0}" -f + $z + " GB"

$y = [string]$mem
$z = [int]$y * 3
"Recommended Max Page File `n{0}" -f + $z + " GB"
}